Bug 709284 (CVE-2011-1947) - CVE-2011-1947 fetchmail: Application hang due unguarded blocking I/O in IMAP/POP3 STARTTLS initialization (fetchmail-SA-2011-01)
Summary: CVE-2011-1947 fetchmail: Application hang due unguarded blocking I/O in IMAP/...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2011-1947
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 709287
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 09:50 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:45 UTC (History)
3 users (show)

Fixed In Version: fetchmail 6.3.20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 06:47:15 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-05-31 09:50:47 UTC
It was found that fetchmail, a remote mail retrieval and forwarding utility,
did not guard STARTTLS-initiated SSL/TLS negotiation in IMAP and POP3 sessions
with a timeout. A malicious man-in-the-middle remote server could delay
acknowledging of fetchmail's STARTTLS or STLS requests, leading to denial
of fetchmail's mail-retrieval and mail-forwarding services.

References:
[1] http://gitorious.org/fetchmail/fetchmail/blobs/legacy_63/fetchmail-SA-2011-01.txt
    (upstream advisory)
[2] http://www.openwall.com/lists/oss-security/2011/05/30/1
    (CVE request)

Upstream changeset:
[3] http://gitorious.org/fetchmail/fetchmail/commit/7dc67b8cf06f74aa57525279940e180c99701314

Comment 1 Jan Lieskovsky 2011-05-31 09:53:04 UTC
This issue affects the versions of the fetchmail package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the fetchmail package, as shipped with
Fedora release of 13, 14, and 15. Please schedule an update with above
upstream patch.

Comment 2 Jan Lieskovsky 2011-05-31 09:53:58 UTC
Created fetchmail tracking bugs for this issue

Affects: fedora-all [bug 709287]

Comment 3 Jan Lieskovsky 2011-06-01 16:05:02 UTC
The CVE identifier of CVE-2011-1947 has been assigned to this issue.

Comment 5 Jan Lieskovsky 2011-06-06 15:34:55 UTC
It was reported, that to properly address this issue, it will need more
invasive patches, than just backport the security fix:
[4] http://www.openwall.com/lists/oss-security/2011/06/06/5

Comment 6 Vincent Danen 2011-06-17 18:18:41 UTC
This is corrected upstream in version 6.3.20:

https://gitorious.org/fetchmail/fetchmail/blobs/legacy_63/NEWS

Comment 7 Vincent Danen 2015-08-22 06:47:04 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.